import { HttpClient } from '@angular/common/http';
import { ProfileData } from './profile-data';
import { Observable } from 'rxjs';
import { ProfileMetadata } from './profile-metadata';
import { ExampleProfilesMetadata } from './example-profiles-metadata';
import { UsersMetadata } from './users-metadata';
export declare class ManageprofilesService {
    private http;
    private util;
    private userId;
    private backendServerAddress;
    isCommunityManager: string;
    private initServerHandshake;
    private getusersProfilesUrl;
    private updateProfileStatusUrl;
    private getSavedProfilesUrl;
    private downloadProfileUrl;
    private DeleteuserProfileUrl;
    private createNewProfileUrl;
    private loadSavedProfileUrl;
    private getExampleProfilesUrl;
    private loadExampleProfileUrl;
    private uploadProfileUrl;
    private notifyProfileUrl;
    constructor(http: HttpClient);
    initialServerHandshake(communityId: string): Observable<any>;
    getUsersProfiles(): Observable<UsersMetadata[]>;
    updateProfileStatus(userId: string, profileId: string, status: string): Observable<any>;
    downloadUserProfileAdmin(userId: string, profileId: string): Observable<any>;
    loadUserProfileAdmin(userId: string, profileId: string): Observable<ProfileData>;
    downloadProfile(profileId: string): Observable<any>;
    deleteProfile(profileId: string): Observable<any>;
    createNewProfile(): Observable<any>;
    loadSavedProfile(profileId: string): Observable<ProfileData>;
    loadExampleProfile(name: string): Observable<ProfileData>;
    uploadFile(file: File): Observable<ProfileData>;
    getSavedProfiles(): Observable<ProfileMetadata[]>;
    getExampleProfiles(): Observable<ExampleProfilesMetadata[]>;
    notifyProfile(communityId: string, profileId: string): Observable<any>;
}
